Package org.eclipse.cdt.core.dom.ast

# Interface IASTImageLocation

All Superinterfaces:
  `IASTFileLocation`, `IASTNodeLocation`

public interface IASTImageLocation extends IASTFileLocation
An image location explains how a name made it into the translation unit.

Since:
  5.0
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ARGUMENT_TO_MACRO_EXPANSION`
The image is part of an argument of an explicit macro expansion.
`static final int`
`MACRO_DEFINITION`
The image is part of a macro definition and was introduced by some macro expansion.
`static final int`
`REGULAR_CODE`
The image is part of the code that has not been modified by the preprocessor.

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNodeLocation

`EMPTY_ARRAY`

## Method Summary

Modifier and Type
Method
Description
`int`
`getLocationKind()`
Returns the kind of image-location, one of `REGULAR_CODE`, `MACRO_DEFINITION` or `ARGUMENT_TO_MACRO_EXPANSION`.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTFileLocation

`getContextInclusionStatement, getEndingLineNumber, getFileName, getNodeLength, getNodeOffset, getStartingLineNumber`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNodeLocation

`asFileLocation`

## Field Details

### REGULAR_CODE

static final int REGULAR_CODE
The image is part of the code that has not been modified by the preprocessor.

See Also:
  - Constant Field Values

### MACRO_DEFINITION

static final int MACRO_DEFINITION
The image is part of a macro definition and was introduced by some macro expansion.

See Also:
  - Constant Field Values

### ARGUMENT_TO_MACRO_EXPANSION

static final int ARGUMENT_TO_MACRO_EXPANSION
The image is part of an argument of an explicit macro expansion.

See Also:
  - Constant Field Values

## Method Details

### getLocationKind

int getLocationKind()
Returns the kind of image-location, one of `REGULAR_CODE`, `MACRO_DEFINITION` or `ARGUMENT_TO_MACRO_EXPANSION`.